"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListAliasesInput_1 = require("./ListAliasesInput");
var ListAliasesOutput_1 = require("./ListAliasesOutput");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var InvalidMarkerException_1 = require("./InvalidMarkerException");
var KMSInternalException_1 = require("./KMSInternalException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.ListAliases = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'ListAliases',
    http: {
        method: 'POST',
        requestUri: '/',
    },
    input: {
        shape: ListAliasesInput_1.ListAliasesInput,
    },
    output: {
        shape: ListAliasesOutput_1.ListAliasesOutput,
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException,
        },
        {
            shape: InvalidMarkerException_1.InvalidMarkerException,
        },
        {
            shape: KMSInternalException_1.KMSInternalException,
        },
    ],
};
//# sourceMappingURL=ListAliases.js.map